% Digitaler Regelkreis
close all
clear all
clc

% PT2-Strecke
Gsc = zpk([],[-3+4*j -3-4*j],[25]);
figure
step(Gsc) % Sprungantwort

% Diskretisierung
% Gs = c2d(Gsc,0.1,'zoh'); % Atastzeit 0.1s, Halteglied 0. Ordnung (Zero Order Hold)
% figure
% step(Gs) % Sprungantwort

% Berechnung Kompensationsregler, so dass Gw = 1/(1+Ts)
T = 0.2;
KP = 2/(25*T);
KI = 1/T;
KD = 1/(25*T);

Grc = tf([KD KP KI],[1 0]);

Gwc = Grc*Gsc/(1+Grc*Gsc);
figure
step(Gwc)
